/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 需求分析统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "需求分析统计图")
public class MtTestPointStatistics extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_userName = "userName";
  public static final String KEY_loginNo = "loginNo";
  public static final String KEY_testPointCount = "testPointCount";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  public String getCreatedTime() {
    return createdTime;
  }

  public void setCreatedTime(String createdTime) {
    this.createdTime = createdTime;
  }

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 测试点创建人<br>
   */
  @ApiModelProperty("测试点创建人")
  @Size(max = 50, message="测试点创建人-userName: 数据长度不能 > 50" )
  private String userName;
  /**
   * 登陆账号<br>
   */
  @ApiModelProperty("登陆账号")
  @Size(max = 50, message="登陆账号-loginNo: 数据长度不能 > 50" )
  private String loginNo;
  /**
   * 测试点数量<br>
   */
  @ApiModelProperty("测试点数量")
  private Integer testPointCount;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private String createdTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 测试点创建人<br>
   */
  public String getUserName()
  {
      return userName;
    }

  /**
   * 测试点创建人<br>
   *
   * @param userName 测试点创建人
   */
  public void setUserName(String userName)
  {
      this.userName = userName;
    }
  /**
   * 登陆账号<br>
   */
  public String getLoginNo()
  {
      return loginNo;
    }

  /**
   * 登陆账号<br>
   *
   * @param loginNo 登陆账号
   */
  public void setLoginNo(String loginNo)
  {
      this.loginNo = loginNo;
    }
  /**
   * 测试点数量<br>
   */
  public Integer getTestPointCount()
  {
      return testPointCount;
    }

  /**
   * 测试点数量<br>
   *
   * @param testPointCount 测试点数量
   */
  public void setTestPointCount(Integer testPointCount)
  {
      this.testPointCount = testPointCount;
    }


  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MtTestPointStatistics()
  {
  }

}
